<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>

<Params name="custom_strategy">
<strategy name ="1" dynamicCode="0" isFactor="0" min="30" max="30"/>
<strategy name ="2" dynamicCode="0" isFactor="0" min="60" max="60"/>
<strategy name ="3" dynamicCode="0" isFactor="0" min="90" max="90"/>
<strategy name ="4" dynamicCode="0" isFactor="0" min="120" max="120"/>
<strategy name ="5" dynamicCode="1" isFactor="0" min="60" max="60"/>
<strategy name ="6" dynamicCode="1" isFactor="0" min="90" max="90"/>
<strategy name ="7" dynamicCode="1" isFactor="0" min="120" max="120"/>
<strategy name ="9" dynamicCode="1" isFactor="0" min="60" max="90" down="90"/>
<strategy name ="10" dynamicCode="1" isFactor="0" min="60" max="120" down="120"/>
<strategy name ="21" dynamicCode="1" isFactor="1" min="60" max="90" down="90"/>
<strategy name ="22" dynamicCode="1" isFactor="1" min="60" max="120" down="120"/>
<strategy name ="23" dynamicCode="2" isFactor="1" min="60" max="90"/>
<strategy name ="24" dynamicCode="2" isFactor="1" min="60" max="120"/>
<strategy  name ="34" dynamicCode="1" isFactor="0" min="30" max="60"/>
<strategy  name ="35" dynamicCode="1" isFactor="0" min="30" max="90"/>
<strategy  name ="36" dynamicCode="1" isFactor="0" min="30" max="120"/>
<strategy  name ="37" dynamicCode="2" isFactor="0" min="30" max="60"/>
<strategy  name ="38" dynamicCode="2" isFactor="0" min="30" max="90"/>
<strategy  name ="39" dynamicCode="2" isFactor="0" min="30" max="120"/>

<strategy  name ="101" dynamicCode="0" isFactor="0" min="30" max="30"/>
<strategy  name ="105" dynamicCode="0" isFactor="0" min="60" max="60"/>
<strategy  name ="108" dynamicCode="0" isFactor="0" min="90" max="90"/>
<strategy  name ="110" dynamicCode="0" isFactor="0" min="120" max="120"/>
<strategy  name ="111" dynamicCode="0" isFactor="1" min="30" max="30"/>
<strategy  name ="115" dynamicCode="0" isFactor="1" min="60" max="60"/>
<strategy  name ="118" dynamicCode="0" isFactor="1" min="90" max="90"/>
<strategy  name ="120" dynamicCode="0" isFactor="1" min="120" max="120"/>

<strategy  name ="121" dynamicCode="1" isFactor="0" min="30" max="30"/>
<strategy  name ="122" dynamicCode="1" isFactor="0" min="30" max="60"/>
<strategy  name ="123" dynamicCode="1" isFactor="0" min="30" max="90"/>
<strategy  name ="124" dynamicCode="1" isFactor="0" min="30" max="120"/>
<strategy  name ="1241" dynamicCode="1" isFactor="0" min="30" max="120" down="120"/>
<strategy  name ="125" dynamicCode="1" isFactor="0" min="60" max="60"/>
<strategy  name ="126" dynamicCode="1" isFactor="0" min="60" max="90"/>
<strategy  name ="1261" dynamicCode="1" isFactor="0" min="60" max="90" down="90"/>
<strategy  name ="127" dynamicCode="1" isFactor="0" min="60" max="120"/>
<strategy  name ="128" dynamicCode="1" isFactor="0" min="90" max="90"/>
<strategy  name ="129" dynamicCode="1" isFactor="0" min="90" max="120"/>
<strategy  name ="130" dynamicCode="1" isFactor="0" min="120" max="120"/>
<strategy  name ="131" dynamicCode="1" isFactor="1" min="30" max="30"/>
<strategy  name ="132" dynamicCode="1" isFactor="1" min="30" max="60"/>
<strategy  name ="133" dynamicCode="1" isFactor="1" min="30" max="90"/>
<strategy  name ="134" dynamicCode="1" isFactor="1" min="30" max="120"/>
<strategy  name ="1341" dynamicCode="1" isFactor="1" min="30" max="120" down="120"/>
<strategy  name ="135" dynamicCode="1" isFactor="1" min="60" max="60"/>
<strategy  name ="136" dynamicCode="1" isFactor="1" min="60" max="90"/>
<strategy  name ="137" dynamicCode="1" isFactor="1" min="60" max="120"/>
<strategy  name ="138" dynamicCode="1" isFactor="1" min="90" max="90"/>
<strategy  name ="139" dynamicCode="1" isFactor="1" min="90" max="120"/>
<strategy  name ="140" dynamicCode="1" isFactor="1" min="120" max="120"/>

<strategy  name ="141" dynamicCode="2" isFactor="0" min="30" max="30"/>
<strategy  name ="142" dynamicCode="2" isFactor="0" min="30" max="60"/>
<strategy  name ="143" dynamicCode="2" isFactor="0" min="30" max="90"/>
<strategy  name ="144" dynamicCode="2" isFactor="0" min="30" max="120"/>
<strategy  name ="145" dynamicCode="2" isFactor="0" min="60" max="60"/>
<strategy  name ="146" dynamicCode="2" isFactor="0" min="60" max="90"/>
<strategy  name ="147" dynamicCode="2" isFactor="0" min="60" max="120"/>
<strategy  name ="148" dynamicCode="2" isFactor="0" min="90" max="90"/>
<strategy  name ="149" dynamicCode="2" isFactor="0" min="90" max="120"/>
<strategy  name ="150" dynamicCode="2" isFactor="0" min="120" max="120"/>
<strategy  name ="151" dynamicCode="2" isFactor="1" min="30" max="30"/>
<strategy  name ="152" dynamicCode="2" isFactor="1" min="30" max="60"/>
<strategy  name ="153" dynamicCode="2" isFactor="1" min="30" max="90"/>
<strategy  name ="154" dynamicCode="2" isFactor="1" min="30" max="120"/>
<strategy  name ="155" dynamicCode="2" isFactor="1" min="60" max="60"/>
<strategy  name ="156" dynamicCode="2" isFactor="1" min="60" max="90"/>
<strategy  name ="157" dynamicCode="2" isFactor="1" min="60" max="120"/>
<strategy  name ="158" dynamicCode="2" isFactor="1" min="90" max="90"/>
<strategy  name ="159" dynamicCode="2" isFactor="1" min="90" max="120"/>
<strategy  name ="160" dynamicCode="2" isFactor="1" min="120" max="120"/>

<strategy  name ="161" dynamicCode="3" isFactor="0" min="30" max="30"/>
<strategy  name ="162" dynamicCode="3" isFactor="0" min="30" max="60"/>
<strategy  name ="163" dynamicCode="3" isFactor="0" min="30" max="90"/>
<strategy  name ="164" dynamicCode="3" isFactor="0" min="30" max="120"/>
<strategy  name ="165" dynamicCode="3" isFactor="0" min="60" max="60"/>
<strategy  name ="166" dynamicCode="3" isFactor="0" min="60" max="90"/>
<strategy  name ="167" dynamicCode="3" isFactor="0" min="60" max="120"/>
<strategy  name ="168" dynamicCode="3" isFactor="0" min="90" max="90"/>
<strategy  name ="169" dynamicCode="3" isFactor="0" min="90" max="120"/>
<strategy  name ="170" dynamicCode="3" isFactor="0" min="120" max="120"/>
<strategy  name ="171" dynamicCode="3" isFactor="1" min="30" max="30"/>
<strategy  name ="172" dynamicCode="3" isFactor="1" min="30" max="60"/>
<strategy  name ="173" dynamicCode="3" isFactor="1" min="30" max="90"/>
<strategy  name ="174" dynamicCode="3" isFactor="1" min="30" max="120"/>
<strategy  name ="175" dynamicCode="3" isFactor="1" min="60" max="60"/>
<strategy  name ="176" dynamicCode="3" isFactor="1" min="60" max="90"/>
<strategy  name ="177" dynamicCode="3" isFactor="1" min="60" max="120"/>
<strategy  name ="178" dynamicCode="3" isFactor="1" min="90" max="90"/>
<strategy  name ="179" dynamicCode="3" isFactor="1" min="90" max="120"/>
<strategy  name ="180" dynamicCode="3" isFactor="1" min="120" max="120"/>
</Params>

    <!-- dynamic fps config: max 90|120|144 Hz -->
    <Params name="dynamic_fps_config" value="1" type="LTPO20">
        <!-- size equals to number of choices in setting
         * code values:
           0: disable, unused
           1: force_30   2: force_60   3: force_90
           4: force_120  5: force_144
           9: dynamic_60_90 10: dynamic_60_120
         -->
        <Param name="setting_config" value="60 120">
            <setting id="0" value="2">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>
            </setting>

            <setting id="1" value="4">
                <switch name="app_default" value="1241"/>
                <switch name="game_default" value="9"/>

                <switch name="app_pkg_list">
                    <pkg name="com.huawei.mirror" value="2"/>
                    <pkg name="com.huawei.camera" value="2"/>
                    <pkg name="com.android.incallui" value="2"/>
                    <pkg name="com.zdwh.wwdz" value="2"/>
                    <pkg name="com.huicent" value="2"/>
                    <pkg name="com.oceansoft.gzpolice" value="2"/>
                    <pkg name="com.hicloud.android.clone" value="2"/>
                </switch>

                <switch name="scene_pkg_list">
                    <scene_pkg name="IME" value="3" code="2"/>
                    <scene_pkg name="HWVIEWPAGER_SLIDE" value="4" code="2"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="4" code="2"/>
                    <scene_pkg name="FREEFORM_CHANGE" value="4" code="2"/>
                    <scene_pkg name="PHOTOS_FAST_SCROLLER" value="1" code="2"/>
                    <scene_pkg name="SCREEN_RORATION" value="4" code="2"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="4" code="2"/>
                    <scene_pkg name="VOLUME_ANIMATION" value="4" code="2"/>
                    <scene_pkg name="BANNER_NOTIFICATION" value="4" code="2"/>
                    <scene_pkg name="CONTROL_CENTER" value="4" code="2"/>
                    <scene_pkg name="S_DDN" value="3" code="2"/>
                </switch>


                <switch name="game_pkg_list">
                    <pkg name="com.netease.mrzh" value="2"/>
                    <pkg name="com.netease.mrzh.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.yongyong.mrzh" value="2"/>
                    <pkg name="com.netease.mrzh.bilibili" value="2"/>
                    <pkg name="com.tencent.tmgp.cf" value="10"/>
                    <pkg name="com.netease.stzb.netease" value="4"/>
                    <pkg name="com.netease.stzb.bilibili" value="4"/>
                    <pkg name="com.netease.stzb.huawei" value="4"/>
                    <pkg name="com.tencent.tmgp.stzb" value="4"/>
                    <pkg name="com.tencent.tmgp.sgame" value="10"/>
                    <pkg name="com.tencent.tmgp.speedmobile" value="10"/>
                    <pkg name="com.blizzard.wtcg.hearthstone" value="2"/>
                    <pkg name="com.netease.AVALON" value="2"/>
                    <pkg name="com.dtszj.khd.huawei" value="2"/>
                    <pkg name="com.pwrd.xxajh.huawei" value="2"/>
                    <pkg name="com.GF.palacem5cncn.hwyad.hwy" value="2"/>
                    <pkg name="com.huawei.hereto" value="2"/>
                    <pkg name="com.example.chinesechess.huawei" value="2"/>
                    <pkg name="com.supercell.clashofclans.huawei" value="2"/>
                    <pkg name="com.qqgame.hlddz" value="2"/>
                    <pkg name="com.aligames.sgzzlb" value="2"/>
                    <pkg name="com.userjoy.rte" value="2"/>
                    <pkg name="com.netease.onmyoji" value="2"/>
                    <pkg name="com.game.shns.HUAWEI" value="2"/>
                    <pkg name="com.supercell.clashroyale.huawei" value="2"/>
                    <pkg name="com.hoolai.hmzqfy.huawei" value="2"/>
                    <pkg name="com.lilithgames.afk.huawei" value="2"/>
                    <pkg name="com.shjgfb.wzjh.toutiao" value="2"/>
                    <pkg name="com.jlsj.jrtt.gg4b" value="2"/>
                    <pkg name="com.aligames.sgzzlb.huawei" value="2"/>
                    <pkg name="com.tanwan.ltcs.huawei" value="2"/>
                    <pkg name="com.feiyu.carrot3.huawei" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="2"/>
                    <pkg name="com.ledou.mhhy.huawei" value="2"/>
                    <pkg name="com.tencent.peng" value="2"/>
                    <pkg name="com.kurogame.haru.hero" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashroyale" value="2"/>
                    <pkg name="cn.mobage.g13001230" value="2"/>
                    <pkg name="com.game.wepoker" value="2"/>
                    <pkg name="com.tencent.qqgame.xq" value="2"/>
                    <pkg name="com.lq.mjlj.g17173" value="2"/>
                    <pkg name="com.zloong.eu.mhzx" value="2"/>
                    <pkg name="com.zzyzf.yx.mz" value="2"/>
                    <pkg name="com.sy.ydcs.huawei" value="2"/>
                    <pkg name="com.qqgame.happymj" value="2"/>
                    <pkg name="com.netease.onmyoji.huawei" value="2"/>
                    <pkg name="com.qs.xy.xyqp" value="2"/>
                    <pkg name="com.xnzttx.whmj" value="2"/>
                    <pkg name="com.netease.pes.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashofclans" value="2"/>
                    <pkg name="com.supercell.boombeach.HUAWEI" value="2"/>
                    <pkg name="com.happyplay.scmj" value="2"/>
                    <pkg name="com.zzyzf.yx.huawei" value="2"/>
                    <pkg name="com.bf.sgs.hdexp.huawei" value="2"/>
                    <pkg name="com.netease.yysbwp.huawei" value="2"/>
                    <pkg name="com.qileyx.ddz.huawei" value="2"/>
                    <pkg name="com.netease.my.huawei" value="2"/>
                    <pkg name="com.netease.lrs" value="2"/>
                    <pkg name="com.wedobest.shudu" value="2"/>
                    <pkg name="com.tencent.fifamobile" value="2"/>
                    <pkg name="com.xltt.housedesigner.m4399" value="2"/>
                    <pkg name="com.aligames.kuang.kybc.huawei" value="2"/>
                    <pkg name="com.softstar.stardom.huawei" value="2"/>
                    <pkg name="com.duoyi.shenwu3" value="2"/>
                    <pkg name="com.galasports.championsfc" value="2"/>
                    <pkg name="com.tencent.tmgp.s3.sgzzlb" value="2"/>
                    <pkg name="com.jd.game.amount" value="2"/>
                    <pkg name="com.supercell.clashofclans" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3" value="2"/>
                    <pkg name="com.sincetimes.dragonfarmii.HUAWEI" value="2"/>
                    <pkg name="com.tencent.tmgp.AndroidAnimal" value="2"/>
                    <pkg name="com.tgc.sky.android" value="2"/>
                    <pkg name="com.dgfx.ylxj.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.NBA" value="2"/>
                    <pkg name="com.tencent.tmgp.wec" value="2"/>
                    <pkg name="com.hypergryph.arknights" value="2"/>
                    <pkg name="com.hypergryph.arknights.bilibili" value="2"/>
                    <pkg name="com.tencent.shootgame" value="2"/>
                    <pkg name="com.mf.monsterblast.huawei" value="2"/>
                    <pkg name="com.minitech.miniworld.huawei" value="2"/>
                    <pkg name="cn.jj" value="2"/>
                    <pkg name="com.netease.mc.huawei" value="2"/>
                    <pkg name="com.netease.dwrg.huawei" value="2"/>
                    <pkg name="com.zengame.zrttddz.HUAWEI" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.t2ksports.nba2k20and" value="2"/>
                    <pkg name="com.miHoYo.enterprise.NGHSoD" value="2"/>
                    <pkg name="com.tencent.tmgp.bh3" value="2"/>
                    <pkg name="com.miHoYo.bh3.huawei" value="2"/>
                    <pkg name="com.miHoYo.bh3.bilibili" value="2"/>
                    <pkg name="com.miHoYo.bh3tw" value="2"/>
                    <pkg name="com.miHoYo.bh3global" value="2"/>
                    <pkg name="com.miHoYo.bh3.uc" value="2"/>
                    <pkg name="com.miHoYo.bh3.qihoo" value="2"/>
                    <pkg name="com.miHoYo.Yuanshen" value="2"/>
                    <pkg name="com.miHoYo.yuanshencb" value="2"/>
                    <pkg name="com.miHoYo.ys.bilibili" value="2"/>
                    <pkg name="com.miHoYo.GenshinImpact" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                    <pkg name="com.miHoYo.hkrpg" value="2"/>
                    <pkg name="com.miHoYo.hkrpg.bilibili" value="2"/>
                    <pkg name="com.HoYoverse.hkrpgoversea" value="2"/>
                    <pkg name="com.playrix.township.chukong" value="2"/>
                    <pkg name="com.playrix.township.chukong.HUAWEI" value="2"/>
                </switch>
            </setting>

            <setting id="2" value="4">
                <switch name="app_default" value="1241"/>
                <switch name="game_default" value="9"/>

                <switch name="app_pkg_list">
                    <pkg name="com.hicloud.android.clone" value="122"/>
                    <pkg name="com.android.packageinstaller" value="122"/>
                    <pkg name="com.huawei.ar.measure" value="122"/>
                    <pkg name="com.huawei.cloud" value="122"/>
                    <pkg name="com.huawei.camera" value="122"/>
                    <pkg name="com.huawei.mirror" value="122"/>
                    <pkg name="com.android.incallui" value="122"/>
                    <pkg name="com.huawei.calculator" value="122"/>
                    <pkg name="com.huawei.compass" value="122"/>
                    <pkg name="com.android.settings" value="1241"/>
                    <pkg name="com.huawei.aod" value="1241"/>
                    <pkg name="com.android.bluetooth" value="1241"/>
                    <pkg name="com.huawei.hicard" value="1241"/>
                    <pkg name="com.huawei.hiai" value="1241"/>
                    <pkg name="com.huawei.pengine" value="1241"/>
                    <pkg name="com.huawei.stylus.floatmenu" value="1241"/>
                    <pkg name="com.huawei.scenepack" value="1241"/>
                    <pkg name="com.huawei.hwdockbar" value="1241"/>
                    <pkg name="com.huawei.controlcenter" value="1241"/>
                    <pkg name="com.huawei.systemmanager" value="1241"/>
                    <pkg name="com.huawei.security.privacycenter" value="1241"/>
                    <pkg name="com.huawei.securitymgr" value="1241"/>
                    <pkg name="com.huawei.hicloud" value="1241"/>
                    <pkg name="com.huawei.search" value="1241"/>
                    <pkg name="com.huawei.intelligent" value="1241"/>
                    <pkg name="com.huawei.ohos.security.privacycenter" value="1241"/>
                    <pkg name="com.huawei.smarthome" value="1241"/>
                    <pkg name="com.huawei.ohos.smarthome" value="1241"/>
                    <pkg name="com.huawei.android.remotecontroller" value="1241"/>
                    <pkg name="com.huawei.videoeditor" value="1241"/>
                    <pkg name="com.huawei.dsdscardmanager" value="1241"/>
                    <pkg name="com.jd.jdlite" value="1241"/>
                    <pkg name="com.huawei.security2" value="1241"/>
                    <pkg name="com.baidu.duer.superapp" value="1241"/>
                    <pkg name="com.huawei.smartshot" value="1241"/>
                    <pkg name="com.huawei.contactscamcard" value="1241"/>
                    <pkg name="com.huawei.ohos.famanager" value="1241"/>
                    <pkg name="com.huawei.wear.guard" value="1241"/>
                    <pkg name="com.huawei.hiskytone" value="1241"/>
                    <pkg name="com.huawei.suggestion" value="1241"/>
                    <pkg name="com.huawei.hisuite" value="1241"/>
                    <pkg name="com.huawei.hwdetectrepair" value="1241"/>
                    <pkg name="com.huawei.desktop.explorer" value="1241"/>
                    <pkg name="com.huawei.tips" value="1241"/>
                    <pkg name="com.android.nfc" value="1241"/>
                    <pkg name="com.huawei.gamebox" value="1241"/>
                    <pkg name="com.android.emergency" value="1241"/>
                    <pkg name="com.tianyancha.skyeye" value="1241"/>
                    <pkg name="com.longshine.smartcity" value="1241"/>
                    <pkg name="com.huawei.educenter" value="1241"/>
                    <pkg name="com.huawei.gameassistant" value="1241"/>
                    <pkg name="com.huawei.hilink.framework" value="1241"/>
                    <pkg name="com.android.systemui" value="1241"/>
                    <pkg name="com.huawei.trustagent" value="1241"/>
                    <pkg name="com.android.printspooler" value="1241"/>
                    <pkg name="com.android.server.telecom" value="1241"/>
                    <pkg name="com.huawei.ohos.photos" value="1241"/>
                    <pkg name="com.weaver.emobile7" value="1241"/>
                    <pkg name="com.huawei.ohos.videoeditor" value="1241"/>
                    <pkg name="com.huawei.cloud" value="1241"/>
                    <pkg name="com.huawei.hwonekeylock" value="1241"/>
                    <pkg name="com.huawei.phone.recorder" value="1241"/>
                    <pkg name="com.huawei.smartspeaker" value="1241"/>
                    <pkg name="com.huawei.scanner" value="1241"/>
                    <pkg name="com.huawei.it.ilearning.android" value="1241"/>
                    <pkg name="com.huawei.bonevoiceui" value="1241"/>
                    <pkg name="com.huawei.localBackup" value="1241"/>
                    <pkg name="com.huawei.android.wfdft" value="1241"/>
                    <pkg name="com.huawei.hifolder" value="1241"/>
                    <pkg name="com.huawei.parentcontrol" value="1241"/>
                    <pkg name="com.android.htmlviewer" value="1241"/>
                    <pkg name="com.huawei.android.instantshare" value="1241"/>
                    <pkg name="com.huawei.ohos.health" value="1241"/>
                    <pkg name="com.huawei.hwid" value="1241"/>
                    <pkg name="com.huawei.ohos.systemmanager" value="1241"/>
                    <pkg name="com.huawei.ohos.mms" value="1241"/>
                    <pkg name="com.android.phone.recorder" value="1241"/>
                    <pkg name="com.huawei.pcassistant" value="1241"/>
                    <pkg name="com.huawei.hitouch" value="1241"/>
                    <pkg name="com.huawei.vassistant" value="1241"/>
                    <pkg name="com.huawei.motionservice" value="1241"/>
                    <pkg name="com.huawei.synergy" value="1241"/>
                    <pkg name="com.huawei.wallet" value="1241"/>
                    <pkg name="com.huawei.numberidentity" value="1241"/>
                    <pkg name="com.huawei.hiviewtunnel" value="1241"/>
                    <pkg name="com.android.phone" value="1241"/>
                    <pkg name="com.xs.fm" value="1241"/>
                    <pkg name="com.huawei.android.FloatTasks" value="1241"/>
                    <pkg name="com.wondersgroup.hs.healthcloud.patient" value="1241"/>
                    <pkg name="com.huawei.desktop.systemui" value="1241"/>
                    <pkg name="com.huawei.ohos.soundrecorder" value="1241"/>
                    <pkg name="com.huawei.skytone" value="1241"/>
                    <pkg name="com.Huawei.hidisk" value="1241"/>
                    <pkg name="com.huawei.ohos.search" value="1241"/>
                    <pkg name="com.huawei.distributedpasteboard" value="1241"/>
                    <pkg name="com.kingsoft.moffice_pro_hw" value="1241"/>
                    <pkg name="com.huawei.android.internal.app" value="1241"/>
                    <pkg name="com.huawei.HwMultiScreenShot" value="1241"/>
                    <pkg name="com.huawei.hmos.compass" value="1241"/>
                    <pkg name="com.huawei.hwpreview" value="1241"/>
                    <pkg name="com.huawei.printservice" value="1241"/>
                    <pkg name="com.ludashi.benchmark" value="4"/>
                    <pkg name="com.antutu.ABenchMark" value="4"/>
                    <pkg name="com.primatelabs.geekbench5.corporate" value="4"/>
                    <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="4"/>
                    <pkg name="com.taobao.taobao" value="9"/>
                    <pkg name="com.xunmeng.pinduoduo" value="9"/>
                    <pkg name="com.eg.android.AlipayGphone" value="9"/>
                    <pkg name="com.sankuai.meituan" value="9"/>
                    <pkg name="com.jingdong.app.mall" value="9"/>
                    <pkg name="com.ss.android.ugc.aweme" value="9"/>
                    <pkg name="com.tencent.mm" value="9"/>
                    <pkg name="com.xingin.xhs" value="9"/>
                    <pkg name="tv.danmaku.bili" value="9"/>
                    <pkg name="com.ss.android.ugc.aweme.lite" value="9"/>
                    <pkg name="com.ss.android.article.news" value="9"/>
                    <pkg name="com.sina.weibo" value="9"/>
                    <pkg name="com.tencent.qqlive" value="9"/>
                    <pkg name="com.autonavi.minimap" value="9"/>
                    <pkg name="com.smile.gifmaker" value="9"/>
                    <pkg name="com.tencent.mobileqq" value="9"/>
                    <pkg name="com.sankuai.meituan" value="9"/>
                    <pkg name="com.dragon.read" value="9"/>
                    <pkg name="com.ss.android.article.lite" value="9"/>
                    <pkg name="com.quark.browser" value="9"/>
                    <pkg name="com.baidu.searchbox" value="9"/>
                    <pkg name="com.kuaishou.nebula" value="9"/>
                    <pkg name="com.huawei.browser" value="9"/>
                    <pkg name="com.huawei.photos" value="9"/>
                    <pkg name="com.jingdong.app.mall" value="9"/>
                    <pkg name="com.UCMobile" value="9"/>
                    <pkg name="com.tencent.mtt" value="9"/>
                    <pkg name="com.qiyi.video" value="9"/>
                    <pkg name="com.zhihu.android" value="9"/>
                    <pkg name="com.youku.phone" value="9"/>
                    <pkg name="com.hunantv.imgo.activity" value="9"/>
                    <pkg name="com.android.incallui" value="9"/>
                    <pkg name="com.taobao.live" value="9"/>
                    <pkg name="cn.soulapp.android" value="9"/>
                    <pkg name="com.lemon.lv" value="9"/>
                    <pkg name="com.ss.android.ugc.live" value="9"/>
                    <pkg name="com.taobao.idlefish" value="9"/>
                    <pkg name="com.eastmoney.android.berlin" value="9"/>
                    <pkg name="com.ss.android.article.video" value="9"/>
                </switch>

                <switch name="scene_pkg_list">
                    <scene_pkg name="DOCK_BAR" value="4" code="2"/>
                    <scene_pkg name="IME" value="3" code="2"/>
                    <scene_pkg name="HWVIEWPAGER_SLIDE" value="4" code="2"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="4" code="2"/>
                    <scene_pkg name="FREEFORM_CHANGE" value="4" code="2"/>
                    <scene_pkg name="SCREEN_RORATION" value="4" code="2"/>
                    <scene_pkg name="PHOTOS_FAST_SCROLLER" value="1" code="2"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="4" code="2"/>
                    <scene_pkg name="VOLUME_ANIMATION" value="4" code="2"/>
                    <scene_pkg name="BANNER_NOTIFICATION" value="4" code="2"/>
                    <scene_pkg name="CONTROL_CENTER" value="4" code="2"/>
                    <scene_pkg name="S_DDN" value="3" code="2"/>
                    <scene_pkg name="SHORT_VIDEO_DYNAMIC_REFRESHRATE_ACTIVE" value="2" code="2" strategy="1"/>
                    <scene_pkg name="SHORT_VIDEO_DYNAMIC_REFRESHRATE_IDLE" value="1" code="2" strategy="1"/>
                    <scene_pkg name="LIVE_SCENE" value="2" code="2" strategy="1"/>
                </switch>

                <switch name="game_pkg_list">
                    <pkg name="com.netease.mrzh" value="2"/>
                    <pkg name="com.netease.mrzh.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.yongyong.mrzh" value="2"/>
                    <pkg name="com.netease.mrzh.bilibili" value="2"/>
                    <pkg name="com.tencent.tmgp.cf" value="10"/>
                    <pkg name="com.netease.stzb.netease" value="4"/>
                    <pkg name="com.netease.stzb.bilibili" value="4"/>
                    <pkg name="com.netease.stzb.huawei" value="4"/>
                    <pkg name="com.tencent.tmgp.stzb" value="4"/>
                    <pkg name="com.tencent.tmgp.sgame" value="10"/>
                    <pkg name="com.tencent.tmgp.speedmobile" value="10"/>
                    <pkg name="com.blizzard.wtcg.hearthstone" value="2"/>
                    <pkg name="com.netease.AVALON" value="2"/>
                    <pkg name="com.dtszj.khd.huawei" value="2"/>
                    <pkg name="com.pwrd.xxajh.huawei" value="2"/>
                    <pkg name="com.GF.palacem5cncn.hwyad.hwy" value="2"/>
                    <pkg name="com.huawei.hereto" value="2"/>
                    <pkg name="com.example.chinesechess.huawei" value="2"/>
                    <pkg name="com.supercell.clashofclans.huawei" value="2"/>
                    <pkg name="com.qqgame.hlddz" value="2"/>
                    <pkg name="com.aligames.sgzzlb" value="2"/>
                    <pkg name="com.userjoy.rte" value="2"/>
                    <pkg name="com.netease.onmyoji" value="2"/>
                    <pkg name="com.game.shns.HUAWEI" value="2"/>
                    <pkg name="com.supercell.clashroyale.huawei" value="2"/>
                    <pkg name="com.hoolai.hmzqfy.huawei" value="2"/>
                    <pkg name="com.lilithgames.afk.huawei" value="2"/>
                    <pkg name="com.shjgfb.wzjh.toutiao" value="2"/>
                    <pkg name="com.jlsj.jrtt.gg4b" value="2"/>
                    <pkg name="com.aligames.sgzzlb.huawei" value="2"/>
                    <pkg name="com.tanwan.ltcs.huawei" value="2"/>
                    <pkg name="com.feiyu.carrot3.huawei" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="2"/>
                    <pkg name="com.ledou.mhhy.huawei" value="2"/>
                    <pkg name="com.tencent.peng" value="2"/>
                    <pkg name="com.kurogame.haru.hero" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashroyale" value="2"/>
                    <pkg name="cn.mobage.g13001230" value="2"/>
                    <pkg name="com.game.wepoker" value="2"/>
                    <pkg name="com.tencent.qqgame.xq" value="2"/>
                    <pkg name="com.lq.mjlj.g17173" value="2"/>
                    <pkg name="com.zloong.eu.mhzx" value="2"/>
                    <pkg name="com.zzyzf.yx.mz" value="2"/>
                    <pkg name="com.sy.ydcs.huawei" value="2"/>
                    <pkg name="com.qqgame.happymj" value="2"/>
                    <pkg name="com.netease.onmyoji.huawei" value="2"/>
                    <pkg name="com.qs.xy.xyqp" value="2"/>
                    <pkg name="com.xnzttx.whmj" value="2"/>
                    <pkg name="com.netease.pes.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashofclans" value="2"/>
                    <pkg name="com.supercell.boombeach.HUAWEI" value="2"/>
                    <pkg name="com.happyplay.scmj" value="2"/>
                    <pkg name="com.zzyzf.yx.huawei" value="2"/>
                    <pkg name="com.bf.sgs.hdexp.huawei" value="2"/>
                    <pkg name="com.netease.yysbwp.huawei" value="2"/>
                    <pkg name="com.qileyx.ddz.huawei" value="2"/>
                    <pkg name="com.netease.my.huawei" value="2"/>
                    <pkg name="com.netease.lrs" value="2"/>
                    <pkg name="com.wedobest.shudu" value="2"/>
                    <pkg name="com.tencent.fifamobile" value="2"/>
                    <pkg name="com.xltt.housedesigner.m4399" value="2"/>
                    <pkg name="com.aligames.kuang.kybc.huawei" value="2"/>
                    <pkg name="com.softstar.stardom.huawei" value="2"/>
                    <pkg name="com.duoyi.shenwu3" value="2"/>
                    <pkg name="com.galasports.championsfc" value="2"/>
                    <pkg name="com.tencent.tmgp.s3.sgzzlb" value="2"/>
                    <pkg name="com.jd.game.amount" value="2"/>
                    <pkg name="com.supercell.clashofclans" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3" value="2"/>
                    <pkg name="com.sincetimes.dragonfarmii.HUAWEI" value="2"/>
                    <pkg name="com.tencent.tmgp.AndroidAnimal" value="2"/>
                    <pkg name="com.tgc.sky.android" value="2"/>
                    <pkg name="com.dgfx.ylxj.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.NBA" value="2"/>
                    <pkg name="com.tencent.tmgp.wec" value="2"/>
                    <pkg name="com.hypergryph.arknights" value="2"/>
                    <pkg name="com.hypergryph.arknights.bilibili" value="2"/>
                    <pkg name="com.tencent.shootgame" value="2"/>
                    <pkg name="com.mf.monsterblast.huawei" value="2"/>
                    <pkg name="com.minitech.miniworld.huawei" value="2"/>
                    <pkg name="cn.jj" value="2"/>
                    <pkg name="com.netease.mc.huawei" value="2"/>
                    <pkg name="com.netease.dwrg.huawei" value="2"/>
                    <pkg name="com.zengame.zrttddz.HUAWEI" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.t2ksports.nba2k20and" value="2"/>
                    <pkg name="com.miHoYo.enterprise.NGHSoD" value="2"/>
                    <pkg name="com.tencent.tmgp.bh3" value="2"/>
                    <pkg name="com.miHoYo.bh3.huawei" value="2"/>
                    <pkg name="com.miHoYo.bh3.bilibili" value="2"/>
                    <pkg name="com.miHoYo.bh3tw" value="2"/>
                    <pkg name="com.miHoYo.bh3global" value="2"/>
                    <pkg name="com.miHoYo.bh3.uc" value="2"/>
                    <pkg name="com.miHoYo.bh3.qihoo" value="2"/>
                    <pkg name="com.miHoYo.Yuanshen" value="2"/>
                    <pkg name="com.miHoYo.yuanshencb" value="2"/>
                    <pkg name="com.miHoYo.ys.bilibili" value="2"/>
                    <pkg name="com.miHoYo.GenshinImpact" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                    <pkg name="com.miHoYo.hkrpg" value="2"/>
                    <pkg name="com.miHoYo.hkrpg.bilibili" value="2"/>
                    <pkg name="com.HoYoverse.hkrpgoversea" value="2"/>
                    <pkg name="com.playrix.township.chukong" value="2"/>
                    <pkg name="com.playrix.township.chukong.HUAWEI" value="2"/>
                </switch>
            </setting>
        </Param>

        <!-- setting default value -->
        <Param name="setting_refresh_default_id" value="2"/>

        <!-- external switch -->
        <Param name="support_power_mode_switch" value="2"/>
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="support_early_idle_switch" value="1"/>
        <Param name="support_pointer_location_switch" value="1"/>
        <Param name="support_display_hotplug_switch" value="1"/>
        <Param name="support_wechat_video_scene_switch" value="1"/>
        <Param name="support_navi_motion_switch" value="1"/>
        <Param name="support_cts_test_switch" value="0"/>
        <Param name="support_fingerprint_switch" value="1" code="2"/>
        <Param name="multi_app_lcd_freq_switch" value="1"/>
        <Param name="support_secure_fps_switch" value="1"/>
        <Param name="support_origin_refresh_path_switch" value="1"/>
        <Param name="support_animation_fps_switch" value="1"/>

        <Param name="support_virtual_display_switch" value="1">
            <exclude name="flutter-vd"/>
        </Param>

        <Param name="support_fling_frame_change_switch">
            <sf_param name="switch" value="1"/>
            <sf_param name="change_refresh_constraints" value="120"/>
        </Param>

        <Param name="high_freq_surfacetexture_config" value="1">
            <pkg name="com.eg.android.AlipayGphone"/>
        </Param>

        <Param name="SF_composition_config">
            <sf_param name="switch" value="1"/>
            <sf_param name="sf_accum_time" value="5"/>
            <sf_param name="sf_accum_count" value="20"/>
            <sf_param name="app_penalty_time" value="60"/>
            <sf_param name="app_penalty_count" value="1"/>
        </Param>

        <Param name="app_dynamic_strategy_config">
            <config_param name="max_wait_idle_period" value="3000"/>
            <config_param name="check_refresh_idle_period" value="200"/>
            <config_param name="refresh_idle_period" value="500"/>
            <config_param name="slide_start_touch_slop" value="16"/>
        </Param>

        <Param name="screen_factor_config">
            <config_param name="screen_factor_switch" value="0"/>
            <config_param name="activity_jump_switch" value="0"/>
            <config_param name="screen_brightness_threshold" value="140"/>
            <config_param name="ambient_light_threshold" value="200"/>
            <config_param name="ambient_dynamic_value" value="20"/>
        </Param>

        <Param name="dynamic_oeminfo_config">
            <config_param name="switch" value="1"/>
            <config_param name="encode_type" value="000"/>
            <config_param name="support_lcd_fps" value="00"/>
            <config_param name="support_brightness" value="80-110-150-300"/>
            <config_param name="support_grayscale" value="48-96-128-196-255"/>
        </Param>

        <!-- for game -->
        <Param name="game_fps_mode_switch" value="4"/>
        <Param name="game_main_layers_config">
            <layer name="com.t2ksports.nba2k19and" value="com.t2ksports.nba2k19and/com.t2ksports.nba2k19and.gameactivity#"/>
            <layer name="com.t2ksports.nba2k20and" value="com.t2ksports.nba2k20and/com.t2ksports.nba2k20and.gameactivity#"/>
        </Param>
        <Param name="game_sdk_info_switch" value="0"/>
        <Param name="game_tp_widely_enable_switch" value="0"/>
        <Param name="game_aps_delayed_time_config" value="20"/>

        <!-- high freq slide model -->
        <Param name="high_freq_smart_slide_model_config">
            <slide_param name="switch" value="1"/>
            <slide_param name="low_velocity_friction_gain" value="0.6"/>
            <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="medium_velocity_level" value="5000.0"/>
            <slide_param name="medium_velocity_friction_gain" value="0.6"/>
            <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="high_velocity_level" value="15000.0"/>
            <slide_param name="high_velocity_friction_gain" value="0.6"/>
            <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
        </Param>
	
        <Param name="forbid_api_setFrameRate_config" value="1">
            <switch name="app_pkg_black_list">
                <pkg name="com.tencent.mobileqq"/>
                <pkg name="com.huawei.android.hwaps.fullscreenvideo.*"/>
            </switch>
        </Param>
		
        <!-- setting FF_solution switch value -->
        <Param name="FF_solution_switch" value="1"/>

        <!-- setting FF_solution uniform config value -->
        <Param name="frame_flow_config">
            <conf name="AI_Schedule" value="1"/>
            <conf name="Debug_ActiveShaders" value="0"/>
            <conf name="Debug_DrawDepth" value="0"/>
            <conf name="Debug_DrawStencil" value="0"/>
            <conf name="Debug_DrawObjectID" value="0"/>
            <conf name="Debug_DrawDynamicReproject" value="0"/>
            <conf name="Debug_DrawMotionVectors" value="0"/>
            <!-- Red text overlay switch
                Possible values:
                    0 - disabled
                    1 - display run level and fps counter
                    2 - display run level, fps counter and frame timestamp
            -->
            <conf name="Debug_DrawText" value="0"/>
            <conf name="Debug_DrawPredictionMarker" value="0"/>
            <conf name="Debug_MarkerHeight" value="15"/>
            <!-- Mark indent in pixels from the lower left corner of a display -->
            <conf name="Debug_MarkerIndent" value="100"/>
            <conf name="Debug_FrameDump" value="0"/>
            <conf name="Debug_FrameDumpCount" value="5"/>
            <!-- -1 is no limit, active only with FrameDump=1 -->
            <conf name="Debug_FrameDumpFpsLimit" value="-1"/>
            <conf name="Debug_ExplainLevelChanges" value="0"/>
            <conf name="Debug_SmartPerfContact" value="0"/>
            <conf name="Debug_SmartPerfFrameDropThreshold" value="10"/>
            <conf name="FpsLogInterval" value="30"/>
            <conf name="FpsThreshold" value="80"/>
            <conf name="Game_Boost" value="1"/>
            <conf name="USBDebugAllowed" value="0"/>
        </Param>

        <!-- setting FF_solution pubg game config value -->
        <Param name="frame_flow_pubg_config" value="1">
            <conf name="Game_Version" value="1.26"/>
            <conf name="Draw_CSM_Overlay" value="0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="DriveModeDist" value="350.0"/>
            <conf name="FirstPersonDist" value="95.0"/>
            <conf name="AirplaneHeight" value="100000.0"/>
            <conf name="AirplaneMinDistanceToDynamic" value="3000.0"/>
            <conf name="Rotation_AngleLimit" value="90.0"/>
            <conf name="Rotation_AngleLimit_ForSlowSliding" value="0.3"/>
            <conf name="Camera_LinearMoveLimit" value="315.0"/>
            <conf name="Camera_LinearMoveLimit_ForSlowSliding" value="8.0"/>
            <conf name="Fix_Overshooting" value="0"/>
            <conf name="Save_Unexpected_Shader" value="1"/>
            <conf name="Wait_Top_Delay" value="14"/>
            <conf name="Limit_FPS_By_APS" value="1"/>
            <conf name="Log_Statistics" value="0"/>
            <conf name="Statistics_Period_Seconds" value="5"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="Luma_Scale_Factor" value="0.75"/>
            <conf name="GameplayDetector_Bypass_Scene_Textures">
                <item>GameVictoryBG</item>        <!-- champion settlement page -->
                <item>ZD_image_diuqifanwei</item> <!-- backpack details page -->
                <item>T_Diffuse</item>            <!-- wing plane -->
            </conf>
            <conf name="GameplayDetector_Bypass_Scene_TextureCubes">
                <item>Baltic_Clear_Cube_03</item> <!-- PUBG 1.19&1.20 sphere vehicle -->
            </conf>
            <conf name="GameplayDetector_Team_Activity_Textures">
                <item>Infect_Railway_Station_Miniap</item>
                <item>AR_Library_MiniMap</item>
                <item>HP_City_Minmap</item>
                <item>TD_Ruins_Half_Minimap</item>
                <item>Factory_Depot_MiniMap</item>
            </conf>
            <conf name="GameplayDetector_Whitelist_Textures">
                <item>Baltic_Minimap</item>                             <!-- Erangel (sea island) -->
                <item>Baltic_Minimap_3th</item>                         <!-- Erangel v1.18 -->
                <item>Baltic_Minimap_CG019</item>                       <!-- Erangel v1.19 -->
                <item>CG020_MainCity_Baltic_Minimap</item>              <!-- Erangel v1.20 -->
                <item>CG021_JinXiuHuaYuan_BigMap</item>                 <!-- Erangel v1.21 -->
                <item>4ThStage_Map_Baltic_M</item>                      <!-- Erangel v1.22 -->
                <item>CG023_temp_map</item>                             <!-- Erangel v1.23 -->
                <item>CG024_Version_BigMap</item>                       <!-- Erangel v1.24 -->
                <item>CG025_Version_BigMap</item>                       <!-- Erangel v1.25 -->
                <item>CG026_5Anniversary_BigMap</item>                  <!-- Erangel v1.26 -->
                <!--
                                                                        // TODO format as XML comment one needed
                <item>Desert_Minimap_Expand</item>                      // Miramar (desert)
                <item>Savage_Minimap_Expand</item>                      // Sanhok (rain forest)
                <item>DihorOtok_Minimap</item>                          // Vikendi (snowfield)
                <item>FourMaps_MiniMap</item>                           // Livik (valley)
                <item>Karakin_MiniMap</item>                            // Karakin (golden island) */
                -->
            </conf>
            <conf name="PredictionAllowed_MSAA_ON" value="1"/>
            <conf name="PredictionAllowed_MSAA_OFF" value="1"/>
            <conf name="PredictionAllowed_Shadows_ON" value="0"/>
            <conf name="PredictionAllowed_Shadows_OFF" value="1"/>
            <conf name="PredictionAllowed_FPS_20" value="0"/>
            <conf name="PredictionAllowed_FPS_25" value="0"/>
            <conf name="PredictionAllowed_FPS_30" value="0"/>
            <conf name="PredictionAllowed_FPS_40" value="0"/>
            <conf name="PredictionAllowed_FPS_60" value="0"/>
            <conf name="PredictionAllowed_FPS_90" value="1"/>
            <conf name="PredictionAllowed_FPS_120" value="1"/>
            <conf name="PredictionAllowed_Quality_Low" value="1"/>
            <conf name="PredictionAllowed_Quality_Med" value="0"/>
            <conf name="PredictionAllowed_Quality_High" value="0"/>
            <conf name="PredictionAllowed_Quality_HDR" value="0"/>
            <conf name="PredictionAllowed_Quality_Extreme" value="0"/>
            <conf name="PredictionAllowed_Quality_Ultra" value="0"/>
            <conf name="PredictionAllowed_Style_Classic" value="1"/>
            <conf name="PredictionAllowed_Style_Colorful" value="0"/>
            <conf name="PredictionAllowed_Style_Realistic" value="0"/>
            <conf name="PredictionAllowed_Style_Soft" value="0"/>
            <conf name="PredictionAllowed_Style_Movie" value="0"/>
            <!-- outdoor detection related params -->
            <conf name="OutdoorBinThreshold_0" value="0.00125"/>
            <conf name="OutdoorBinThreshold_1" value="0.0025"/>
            <conf name="OutdoorNearDynamicThreshold" value="0.001"/>
            <conf name="OutdoorControlValue_0" value="0.0089"/>
            <conf name="OutdoorControlValue_1" value="0.1339"/>
            <conf name="OutdoorControlValue_2" value="0.8572"/>
            <conf name="OutdoorActiveCheckPeriodMs" value="300"/>
            <conf name="OutdoorPassiveCheckPeriodMs" value="1500"/>

            <!-- Possible values:
                 Airplane
                 Always
                 BlueZoneHDR
                 DrivingMode
                 MarineMode
                 Never
                 Outdoor
                 ProximityMarkerHDR
                 SkinnedNear
                 SniperSight
                 ThirdPersonMode
                 ThrowLine -->
            <conf name="Scenario" value="!SniperSight && !MarineMode && !ThrowLine && ThirdPersonMode && Outdoor && !Airplane"/>
            <conf name="TeamActivityModeAllowed" value="0"/>
            <conf name="DynamicReprojectUnderflowSetback" value="90"/>
            <conf name="ObjectIDMaskAlwaysAggregateCharacterObjects" value="0"/>
            <conf name="ObjectIDMaskAlwaysAggregateMainCharacter" value="1"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshes" value="0"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshesDriveMode" value="1"/>
            <conf name="ObjectIDMaskAutoSwitchModeOnOverflow" value="0"/>
            <conf name="ObjectIDMaskOverflowSetbackFrames" value="512"/>
            <!-- Possible values:
                 default - grid based
                 rspp - reverse search (per-pixel)
                 cb2pp - 2 pass compute-based (per-pixel)
                 cb3pp - 3 pass compute-based (per-pixel)
            -->
            <conf name="FramePredictionAlgorithm" value="default"/>
            <conf name="GameplayStartedPenaltyFrames" value="1"/>
        </Param>

        <!-- setting FF_solution aov game config value -->
        <Param name="frame_flow_aov_config" value="0">
            <conf name="Game_Version" value="5.72"/>
            <conf name="Camera_LinearMoveLimit" value="5.0"/>
            <conf name="Controlled_By_FPS_Display" value="1"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="FpsThreshold" value="90"/>
            <conf name="Luma_Scale_Factor" value="0.528"/>
            <conf name="GameplayDetector_Key_Textures">
                <item>SpriteAtlasTexture-Battle_Android_Group_0-1024x1024-fmt34</item>         <!-- direction key -->
                <item>SpriteAtlasTexture-Battle_SkillBtn_Android_Group_0-512x1024-fmt34</item> <!-- attack key -->
            </conf>
            <conf name="GameplayDetector_Map_Textures">
                <item>pvp_1_small</item> <!-- 1v1 battle map -->
                <item>pvp_4_small</item> <!-- 3v3 battle map -->
                <item>pvp_5_small</item> <!-- 5v5 battle map -->
            </conf>
            <conf name="GameplayDetector_Bypass_Textures">
                <item>SpriteAtlasTexture-Global_Setting_Android_Group_0-1024x512-fmt34</item>      <!-- game settings Page5/6-->
                <item>SpriteAtlasTexture-Global_Setting_Sub3_Android_Group_0-1024x512-fmt34</item> <!-- game settings Page3-->
                <item>SpriteAtlasTexture-SettingRender_Android_Group_0-512x512-fmt34</item>        <!-- game settings Page1-->
                <item>SpriteAtlasTexture-Setting_Bg_Android_Group_0-1024x1024-fmt34</item>         <!-- game settings Page4-->
                <item>SpriteAtlasTexture-Setting_Bg_HudBg_Android_Group_0-1024x512-fmt34</item>    <!-- game settings Page2/3-->
            </conf>
        </Param>

        <!-- setting FF_solution genshin game config value -->
        <Param name="frame_flow_genshin_config" value="1">
            <conf name="Enable_By_App_Assistant_CN" value="1"/>
            <conf name="Enable_By_App_Assistant_OS" value="1"/>
            <conf name="Enable_In_TAA_Mode_Only" value="1"/>
            <conf name="Enable_On_Oversea_Version" value="1"/>
            <conf name="DepthStencil_Extension_Interface_Switch" value="1"/>
            <conf name="Camera_LinearMoveLimit" value="1.0"/>
            <conf name="Camera_PostionHeightDiff" value="0.12"/>
            <conf name="Rotation_AngleLimit" value="10.0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="FpsThreshold" value="57"/>
            <conf name="FramePredictionAlgorithm" value="hydra"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="DynamicID" value="133"/>
            <conf name="DynamicUIStencil" value="1"/>
            <conf name="NeedZRangeAdjust" value="1"/>
            <conf name="Game_Version_Dir" value="/files/Unity/local.2209d13a1b52a5848b7f7df6575639f7/Analytics/values"/>
            <conf name="Game_Version" value="0.0"/>
        </Param>

        <!-- setting FF_solution hkrpg game config value -->
        <Param name="frame_flow_hkrpg_config" value="1">
            <conf name="Enable_By_App_Assistant_CN" value="1"/>
            <conf name="Enable_By_App_Assistant_OS" value="1"/>
            <conf name="Enable_On_Oversea_Version" value="1"/>
            <conf name="Camera_LinearMoveLimit" value="1.0"/>
            <conf name="Rotation_AngleLimit" value="10.0"/>
            <conf name="FpsThreshold" value="57"/>
            <conf name="FramePredictionAlgorithm" value="hydra"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="DynamicID" value="16"/>
            <conf name="DynamicUIStencil" value="1"/>
            <conf name="NeedZRangeAdjust" value="1"/>
            <conf name="Game_Version_Dir" value="/files/InstallVersion.bin"/>
            <conf name="Game_Version" value="0.0"/>
            <conf name="SceneFilter_Labels">
                <item>IconLoadingPamu</item>              <!-- Loading Icon Texture-->
            </conf>
        </Param>

        <!-- setting FF_solution brightridge game config value -->
        <Param name="frame_flow_brightridge_config" value="1">
        </Param>
    </Params>

    <Params name="emui_screen_brighten_animation_config">
        <animation_param name="switch" value="1"/>
        <animation_param name="animation_duration" value="400"/>
        <animation_param name="animation_start_scale" value="0.88"/>
        <animation_param name="animation_max_blur_radius" value="15"/>
        <animation_param name="animation_mode" value="0"/>
    </Params>

    <Params name="emui_charging_animation_3d_config">
        <animation_param name="switch" value="1"/>
    </Params>

    <Params name="emui_window_blur_effect_config">
        <animation_param name="blur_switch" value="1"/>
        <animation_param name="sched_switch" value="1"/>
    </Params>

    <Params name="emui_agp_render_config">
        <render_param name="agp_render_switch" value="0"/>
        <render_param name="async_switch" value="0"/>
        <render_param name="async_all" value="0"/>
        <render_param name="async_virtual_display" value="1"/>
        <render_param name="async_hisight_pc" value="1"/>
        <render_param name="async_hisight_display" value="0"/>
        <render_param name="async_blur_layer" value="0"/>
        <render_param name="async_corner_radius" value="0"/>
        <render_param name="async_other" value="0"/>
        <render_param name="hfbc_switch" value="0"/>
        <render_param name="hfbc_virtual" value="0"/>
    </Params>

    <Params name="itouch_game_list">
        <Param name="com.tencent.ig" value="0"/>
    </Params>

    <Params name="itouch_game_mode_fliter">
        <Param name="com.tencent.tmgp.pubgmhd" value="1"/>
        <Param name="com.tencent.tmgp.sgame" value="1"/>
        <Param name="com.tencent.tmgp.cf" value="1"/>
        <Param name="com.tencent.tmgp.speedmobile" value="1"/>
        <Param name="com.wepie.snake" value="1"/>
        <Param name="com.ztgame.bob" value="1"/>
        <Param name="com.mojang.minecraftpe" value="1"/>
        <Param name="com.netease.hyxd" value="1"/>
        <Param name="com.netease.dwrg" value="1"/>
        <Param name="com.tencent.tmgp.yongyong.mrzh" value="1"/>
        <Param name="com.tencent.tmgp.qqx5" value="1"/>
        <Param name="com.tencent.tmgp.bh3" value="1"/>
        <Param name="com.miHoYo.enterprise.NGHSoD" value="1"/>
        <Param name="com.mobile.legends" value="1"/>
        <Param name="com.epicgames.fortnite" value="1"/>
        <Param name="com.netease.ko" value="1"/>
        <Param name="com.dts.freefireth" value="1"/>
        <Param name="com.garena.game.kgsam" value="1"/>
        <Param name="com.gameloft.android.ANMP.GloftA9HM" value="1"/>
        <Param name="com.garena.game.fctw" value="1"/>
        <Param name="com.ngame.allstar.eu" value="1"/>
    </Params>

    <Params name="itouch_game_direct_report_list">
        <Param name="com.tencent.tmgp.sgame"/>
        <Param name="com.tencent.KiHan"/>
        <Param name="com.aligames.kuang.kybc.huawei"/>
        <Param name="com.tencent.tmgp.WePop"/>
        <Param name="com.netease.lztg"/>
        <Param name="com.tencent.af"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei"/>
        <Param name="com.kiloo.subwaysurf"/>
        <Param name="com.Sgame.yzr3.aligames"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars"/>
        <Param name="com.netease.moba.aligames"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei"/>
        <Param name="com.supercell.clashroyale.huawei"/>
        <Param name="com.netease.hyxd.huawei"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI"/>
        <Param name="com.soulgame.slithersg.huawei"/>
        <Param name="com.wepie.snake.huawei"/>
    </Params>

    <Params name="itouch_tp_rate_list">
        <Param name="com.tencent.KiHan" value="5"/>
        <Param name="com.aligames.kuang.kybc.huawei" value="5"/>
        <Param name="com.tencent.tmgp.WePop" value="5"/>
        <Param name="com.netease.lztg" value="5"/>
        <Param name="com.tencent.af" value="5"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei" value="5"/>
        <Param name="com.kiloo.subwaysurf" value="5"/>
        <Param name="com.Sgame.yzr3.aligames" value="5"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars" value="5"/>
        <Param name="com.netease.moba.aligames" value="5"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei" value="5"/>
        <Param name="com.supercell.clashroyale.huawei" value="5"/>
        <Param name="com.netease.hyxd.huawei" value="5"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI" value="5"/>
        <Param name="com.soulgame.slithersg.huawei" value="5"/>
        <Param name="com.wepie.snake.huawei" value="5"/>
        <Param name="com.adsk.sketchbook" value="5"/>
        <Param name="com.huawei.app.direct.report.scene" value="5"/>
        <Param name="com.sy.dldlhsdj.huawei" value="3"/>
        <Param name="com.netease.tom.huawei" value="3"/>
        <Param name="com.bairimeng.snake.huawei" value="3"/>
        <Param name="com.tencent.shootgame" value="3"/>
        <Param name="com.netease.jddsaef.huawei" value="3"/>
        <Param name="com.netease.lztg.huawei" value="3"/>
        <Param name="com.jl2.huawei" value="3"/>
        <Param name="com.tencent.tmgp.NBA" value="3"/>
        <Param name="com.denachina.g13002010.huawei" value="3"/>
        <Param name="com.tencent.tmgp.pubgmhd" value="2"/>
        <Param name="com.tencent.tmgp.sgame" value="2"/>
        <Param name="com.tencent.tmgp.cf" value="2"/>
        <Param name="com.tencent.tmgp.speedmobile" value="2"/>
        <Param name="com.wepie.snake" value="2"/>
        <Param name="com.ztgame.bob" value="2"/>
        <Param name="com.mojang.minecraftpe" value="2"/>
        <Param name="com.netease.hyxd" value="2"/>
        <Param name="com.netease.dwrg" value="2"/>
        <Param name="com.tencent.tmgp.yongyong.mrzh" value="2"/>
        <Param name="com.netease.mrzh" value="2"/>
        <Param name="com.netease.mrzh.huawei" value="2"/>
        <Param name="com.netease.mrzh.bilibili" value="2"/>
        <Param name="com.miHoYo.Yuanshen" value="2"/>
        <Param name="com.miHoYo.ys.bilibili" value="2"/>
        <Param name="com.studiowildcard.wardrumstudios.ark" value="2"/>
        <Param name="com.protopop.brightridge" value="2"/>
        <Param name="com.tencent.tmgp.cod" value="2"/>
        <Param name="com.tencent.tmgp.qqx5" value="2"/>
        <Param name="com.tencent.tmgp.bh3" value="2"/>
        <Param name="com.miHoYo.bh3.huawei" value="2"/>
        <Param name="com.miHoYo.bh3.bilibili" value="2"/>
        <Param name="com.miHoYo.enterprise.NGHSoD" value="2"/>
        <Param name="com.mobile.legends" value="2"/>
        <Param name="com.epicgames.fortnite" value="2"/>
        <Param name="com.netease.ko" value="2"/>
        <Param name="com.dts.freefireth" value="2"/>
        <Param name="com.garena.game.kgsam" value="2"/>
        <Param name="com.gameloft.android.ANMP.GloftA9HM" value="2"/>
        <Param name="com.garena.game.fctw" value="2"/>
        <Param name="com.ngame.allstar.eu" value="2"/>
        <Param name="com.tencent.forest" value="2"/>
    </Params>

    <Params name="itouch_oneframe_features">
        <Param name="oneframe_switch" value="1"/>
    </Params>

    <Params name="itouch_one_frame_list_high_freq">
        <Param name="com.huawei.notepad" value="1"/>
    </Params>

    <Params name="itouch_one_frame_list">
        <Param name="com.huawei.notepad" value="1"/>
    </Params>

    <Params name="emui_view_round_corner_config">
       <round_corner_param name="round_corner_type" value="1" />
       <round_corner_param name="round_corner_g2_param_a" value="2.0" />
       <round_corner_param name="round_corner_g2_param_b" value="1.1" />
       <round_corner_param name="support_app_list" value="com.huawei.notepad" />
       <round_corner_param name="support_app_list" value="com.huawei.calendar" />
       <round_corner_param name="support_app_list" value="com.android.settings" />
       <round_corner_param name="support_app_list" value="com.huawei.deskclock" />
       <round_corner_param name="support_app_list" value="com.huawei.smarthome" />
       <round_corner_param name="support_app_list" value="com.huawei.android.totemweather:ui" />
       <round_corner_param name="support_app_list" value="com.huawei.photos" />
       <round_corner_param name="support_app_list" value="com.huawei.appmarket" />
       <round_corner_param name="support_app_list" value="com.huawei.intelligent" />
       <round_corner_param name="support_app_list" value="com.android.systemui" />
       <round_corner_param name="support_app_list" value="com.huawei.android.launcher" />
    </Params>

    <Params name="whiteblock_config">
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="send_idle_switch" value="1">
            <apps_param name="com.ss.android.article.news">
                <app_param name="switch" value="1"/>
                <app_param name='version' value="7.9-9.1"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.article.base.feature.feed.view.FeedCommonRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.taobao.taobao'>
                <app_param name="switch" value="1"/>
                <app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="9.16-9.31"/>
                <app_param name="views" value="">
                    <view_param name="com.taobao.tao.recommend3.container.NestedRecyclerView"/>
                    <view_param name="com.taobao.android.searchbaseframe.business.srp.list.uikit.PartnerRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.netease.newsreader.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="74-86"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.aweme'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="14.8-14.8"/>
                <app_param name="speed_threshold" value="19000:500"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.aweme.views.FpsRecyclerView"/>
                    <view_param name="com.ss.android.ugc.aweme.profile.ui.widget.FpsRecyclerViewTouchLog"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.baidu.searchbox'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="12.9-12.9"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param> 
	    <apps_param name='com.kugou.android'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.4-10.4"/>
                <app_param name="views" value="">
                    <view_param name="com.kugou.common.widget.recyclerview.KGCommRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.article.video'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="5.4-5.4"/>
                <app_param name="views" value="">
                    <view_param name="com.ixigua.commonui.view.pullrefresh.FeedPullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.tencent.news'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.4-6.4"/>
                <app_param name="views" value="">
                    <view_param name="com.tencent.news.ui.pullrefresh.PullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.hunantv.imgo.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.8-6.8"/>
                <app_param name="views" value="">
                    <view_param name="android.support.v7.widget.RecyclerView"/>
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.live'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.0-11.0"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.live.widget.FixFlingRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.duowan.kiwi'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="8.10-8.10"/>
                <app_param name="views" value="">
                    <view_param name="com.duowan.kiwi.list.banner.RefreshHeaderRecyclerView"/>
                </app_param>
            </apps_param>
        </Param> 
    </Params>
	
    <!-- graphic features switch, using bitmask to store graphic enabled features, from 0x00000001 to 0x40000000-->
    <!-- 图形方案通用开关配置项，使用该配置请在下方注明已经使用的位:
         gpu composition boost mask=0x00000001,
         dynamic_software_freq_strategy_config mask=0x00000002,
     -->
    <Params name="emui_graphic_features_switch_config">
        <!-- gpu composition boost,
         if this feature is opened, cmd id 13261~13263 in uniperf_config_cust.xml must be configured -->
        <graphic_feature name="gpu_composition_boost" mask="0x00000001"/>
    </Params>
</Config>
